org.apache.solr.client.solrj.cloud.autoscaling

## Class Violation

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.Violation

All Implemented Interfaces:
  MapSerializable, MapWriter

    public class Violation
    extends Object
    implements MapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Method Summary

All Methods Instance Methods Concrete Methods
`Violation` `addReplica(org.apache.solr.client.solrj.cloud.autoscaling.Violation.ReplicaInfoAndErr r)`
`boolean` `equals(Object that)`
`Clause` `getClause()`
`List<org.apache.solr.client.solrj.cloud.autoscaling.Violation.ReplicaInfoAndErr>` `getViolatingReplicas()`
`int` `hashCode()`
`boolean` `isLessSerious(Violation that)`
`boolean` `matchShard(String shard)`
`String` `toString()`
`void` `writeMap(MapWriter.EntryWriter ew)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Method Detail

#### addReplica

    public Violation addReplica(org.apache.solr.client.solrj.cloud.autoscaling.Violation.ReplicaInfoAndErr r)

#### getViolatingReplicas

    public List<org.apache.solr.client.solrj.cloud.autoscaling.Violation.ReplicaInfoAndErr> getViolatingReplicas()

#### getClause

    public Clause getClause()

#### matchShard

    public boolean matchShard(String shard)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### isLessSerious

    public boolean isLessSerious(Violation that)

#### equals

    public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### writeMap

    public void writeMap(MapWriter.EntryWriter ew)
                  throws IOException

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`